Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
agora::rtc::DirectCdnStreamingMediaOptions Struct Reference

`#include <IAgoraRtcEngine.h>`

## Public Member Functions
void | SetAll (const DirectCdnStreamingMediaOptions &change)
bool | operator== (const DirectCdnStreamingMediaOptions &o) const
DirectCdnStreamingMediaOptions & | operator= (const DirectCdnStreamingMediaOptions &replace)

## Public Attributes
Optional< bool > | publishCameraTrack
Optional< bool > | publishMicrophoneTrack
Optional< bool > | publishCustomAudioTrack
Optional< bool > | publishCustomVideoTrack
Optional< bool > | publishMediaPlayerAudioTrack
Optional< int > | publishMediaPlayerId
Optional< video_track_id_t > | customVideoTrackId

## Detailed Description

The channel media options.

## Member Data Documentation

## ◆ publishCameraTrack

Optional<bool> agora::rtc::DirectCdnStreamingMediaOptions::publishCameraTrack

Determines whether to publish the video of the camera track.

- true: Publish the video track of the camera capturer.
- false: (Default) Do not publish the video track of the camera capturer.

## ◆ publishMicrophoneTrack

Optional<bool> agora::rtc::DirectCdnStreamingMediaOptions::publishMicrophoneTrack

Determines whether to publish the recorded audio.

- true: Publish the recorded audio.
- false: (Default) Do not publish the recorded audio.

## ◆ publishCustomAudioTrack

Optional<bool> agora::rtc::DirectCdnStreamingMediaOptions::publishCustomAudioTrack

Determines whether to publish the audio of the custom audio track.

- true: Publish the audio of the custom audio track.
- false: (Default) Do not publish the audio of the custom audio track.

## ◆ publishCustomVideoTrack

Optional<bool> agora::rtc::DirectCdnStreamingMediaOptions::publishCustomVideoTrack

Determines whether to publish the video of the custom video track.

- true: Publish the video of the custom video track.
- false: (Default) Do not publish the video of the custom video track.

## ◆ publishMediaPlayerAudioTrack

Optional<bool> agora::rtc::DirectCdnStreamingMediaOptions::publishMediaPlayerAudioTrack

Determines whether to publish the audio track of media player source.

- true: Publish the audio track of media player source.
- false: (Default) Do not publish the audio track of media player source.

## ◆ publishMediaPlayerId

Optional<int> agora::rtc::DirectCdnStreamingMediaOptions::publishMediaPlayerId

Determines which media player source should be published. You can get the MediaPlayerId after calling getMediaPlayerId() of AgoraMediaPlayer.

## ◆ customVideoTrackId

Optional<video_track_id_t> agora::rtc::DirectCdnStreamingMediaOptions::customVideoTrackId

The custom video track id which will used to publish. You can get the VideoTrackId after calling createCustomVideoTrack() of IRtcEngine.